Correct cfitsio library dependency

07/15/2019 09:36 AM - Knödlseder Jürgen

Status: Closed Start date: 07/15/2019

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.2   

Description

It turned out that with the latest conda the install breaks since by default a higher cfitsio version gets installed compared to the

version against which gammalib was build.

It turned out that on Mac OS X, the conda build is built against the cfitsio and readline libraries installed in /usr/local/gamma/lib, which

explains the dependency problems. On SL6 64, the conda build is built against the cfitsio library installed in /usr/lib64.

Related issues:

Related to ctools - Bug # 3619: conda install does not install latest version Closed 04/26/2021

History

#1 - 07/15/2019 09:43 AM - Knödlseder Jürgen

It is not true that the library is build against the installed cfitsio or readline versions, I looked at the wrong place. The library is well built against the

libraries installed in the conda environment.

readline 7.0

ncurses 6.0

cfitsio 3.430

#2 - 07/15/2019 11:29 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50

On SL6, Python 3.7 requires at least ncurses 6.1. I therefore dropped the version number of ncurses.

#3 - 07/15/2019 10:32 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

After creating an Anaconda release for gammalib, I tested the installation using the most recent Anaconda distribution on my Mac:

$ conda create -n gammalib-test python=3.7

Collecting package metadata (current_repodata.json): done

Solving environment: done

## Package Plan ##

  environment location: /Users/jurgen/anaconda3/envs/gammalib-test

  added / updated specs:

    - python=3.7

04/26/2024 1/3



The following NEW packages will be INSTALLED:

  ca-certificates    pkgs/main/osx-64::ca-certificates-2019.5.15-0

  certifi            pkgs/main/osx-64::certifi-2019.6.16-py37_0

  libcxx             pkgs/main/osx-64::libcxx-4.0.1-hcfea43d_1

  libcxxabi          pkgs/main/osx-64::libcxxabi-4.0.1-hcfea43d_1

  libedit            pkgs/main/osx-64::libedit-3.1.20181209-hb402a30_0

  libffi             pkgs/main/osx-64::libffi-3.2.1-h475c297_4

  ncurses            pkgs/main/osx-64::ncurses-6.1-h0a44026_1

  openssl            pkgs/main/osx-64::openssl-1.1.1c-h1de35cc_1

  pip                pkgs/main/osx-64::pip-19.1.1-py37_0

  python             pkgs/main/osx-64::python-3.7.3-h359304d_0

  readline           pkgs/main/osx-64::readline-7.0-h1de35cc_5

  setuptools         pkgs/main/osx-64::setuptools-41.0.1-py37_0

  sqlite             pkgs/main/osx-64::sqlite-3.28.0-ha441bb4_0

  tk                 pkgs/main/osx-64::tk-8.6.8-ha441bb4_0

  wheel              pkgs/main/osx-64::wheel-0.33.4-py37_0

  xz                 pkgs/main/osx-64::xz-5.2.4-h1de35cc_4

  zlib               pkgs/main/osx-64::zlib-1.2.11-h1de35cc_3

Proceed ([y]/n)? y

Preparing transaction: done

Verifying transaction: done

Executing transaction: done

#

# To activate this environment, use:

# > conda activate gammalib-test

#

# To deactivate an active environment, use:

# > conda deactivate

#

$ conda activate gammalib-test

$ conda install gammalib

Collecting package metadata (current_repodata.json): done

Solving environment: done

## Package Plan ##

  environment location: /Users/jurgen/anaconda3/envs/gammalib-test

  added / updated specs:

    - gammalib

The following packages will be downloaded:

    package                    |            build

    ---------------------------|-----------------

    gammalib-1.6.2             |   py37h0e1a375_1        25.7 MB  cta-observatory

    libgfortran-3.0.1          |       h93005f0_2         426 KB

    ------------------------------------------------------------

                                           Total:        26.1 MB

The following NEW packages will be INSTALLED:

  cfitsio            conda-forge/osx-64::cfitsio-3.430-h50cca31_1002

  curl               pkgs/main/osx-64::curl-7.64.1-ha441bb4_0

  gammalib           cta-observatory/osx-64::gammalib-1.6.2-py37h0e1a375_1

  krb5               pkgs/main/osx-64::krb5-1.16.1-hddcf347_7

  libcurl            pkgs/main/osx-64::libcurl-7.64.1-h051b688_0

  libgfortran        pkgs/main/osx-64::libgfortran-3.0.1-h93005f0_2

  libssh2            pkgs/main/osx-64::libssh2-1.8.2-ha12b0ac_0

Proceed ([y]/n)? y

Downloading and Extracting Packages

gammalib-1.6.2       | 25.7 MB   | #################################################################################### | 100%

libgfortran-3.0.1    | 426 KB    | #################################################################################### | 100%

Preparing transaction: done

Verifying transaction: done

Executing transaction: done

$ createfits

$ optimize

Function value .....: 0.498902
Parameter value ....: 0.50055

Things seem to work as expected. Close the issue now.

#4 - 04/26/2021 03:59 PM - Knödlseder Jürgen

- Related to Bug #3619: conda install does not install latest version added
